declare type SDKModel = {
    [key: string]: any;
};
declare type SDKPolyfillOptions = {
    paths: string[];
    SDK: SDKModel;
    onError?: (errMsg: string, apiName: string, path: string) => void;
    onCall?: (calledArgs: Array<any>, apiName: string, path: string) => void;
    onSuccess?: (res: any, apiName: string, path: string) => void;
    onPolyfill?: (ployfillSDK: any, apiName: string, value: any) => void;
};
export declare const createSDKPolyfill: <T>(options: SDKPolyfillOptions) => T;
export {};
